<?php


function commerce_europabank_set_order_state_payment_pending($order, $payment_status, $payment_method){
  //User returned from europabank and payment was successful
  $order = commerce_order_status_update($order, 'checkout_complete');
}


function commerce_europabank_set_order_state_payment_complete($order, $payment_status, $payment_method){
  //Second confirmation from mpi is checked and validated
  //check if order is already marked as pending
  //if this is not the case, user left the site after paying.
  if($order->status != 'pending' && $payment_status['code'] == COMMERCE_PAYMENT_STATUS_SUCCESS){
    $order = commerce_order_status_update($order, 'pending');
    //send emails to customers etc
    commerce_checkout_complete($order); 
  }
}


function commerce_europabank_set_order_state_payment_failed($order, $payment_status, $payment_method){
  //Set message for users
  $error_message = $payment_method['settings']['error_message'];
  $error_message .= '<br/>';
  $error_message .= t('Europabank feedback: ') . $payment_status['message'];
  
  drupal_set_message($error_message, 'error');
  
  //log error for administrator
  watchdog(
    'commerce_europabank', 
    "Payment failure for orderid: %orderid, Status: %status", 
    array(
      '%orderid' => $order->order_number,
      '%status' => print_r($payment_status, TRUE),
    ), 
    WATCHDOG_ERROR
  );
    
  //go back to previous page
  commerce_payment_redirect_pane_previous_page($order);
}